
/*
 * Copyright (C) 2000-2001 Technical University of Ilmenau, Germany
 *                         Department of Microelectronic Circuits and Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2001/11/12 17:00:42 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: SalesmanCalc.java,v $
 *
 */

package mss.ea.ex.salesman;

import mss.ea.core.*;
import mss.ea.chr.*;
import mss.ea.eval.*;

public class SalesmanCalc extends ScoreEvaluation {
	
	protected SalesmanMatrix matrix;
	
	public SalesmanCalc( String name ) {
		super();
		matrix = new SalesmanMatrix( SalesmanMatrix.class.getResource( name + ".mat" ).getPath() );
	}
	
	public Score evaluate( Individual i ) throws ScoreEvaluationException {
		try {
			int[] array = (int[]) ((ArrayChromosome) i.getChromosomeSet().get( 0 )).getObject();
			int distance = matrix.getDistance( array );
			IntegerScore score = new IntegerScore( distance );
			i.setScore( score );
			return score;
		} catch ( Exception e ) {
			throw new ScoreEvaluationException( "distance calculation for " + i.getName() + " failed" );
		}
	}
	
}
