
/*
 * Copyright (C) 2000-2001 Technical University of Ilmenau, Germany
 *                         Department of Microelectronic Circuits and Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2001/11/19 13:34:00 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: SalesmanInit.java,v $
 *
 */

package mss.ea.ex.salesman;

import mss.ea.core.*;
import mss.ea.chr.*;
import mss.ea.ini.*;

public class SalesmanInit extends Initialization {

	protected int sequenceSize;

	public SalesmanInit( int indNumber, int sequenceSize ) {
		super( indNumber );
		this.sequenceSize = sequenceSize;
	}

	public ChromosomeSet createSet() {
		// create a new set with a single slot
		ChromosomeSet salesmanSet = new ChromosomeSet();
		// create a new chromosome
		ArrayChromosome c0 = new ArrayChromosome( RandomUtil.randomIntSequence( sequenceSize ) );
		// insert the chromosome into the set
		salesmanSet.add( c0 );
		return salesmanSet;
	}

}
